- Create Glossary
- Get Tree View
- Get Glossary
- Get Glossaries
- Update Glossary
- Delete Glossary
POST /api/v1/governance/glossaryCreate a new glossaryResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new glossary",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/glossary/tree-viewGet tree view of all glossaries, categories, and termsResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/tree-view" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get tree view of all glossaries, categories, and terms",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/glossary/{glossaryId}Get a glossary by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Asset Management Glossary".string
Example:
"Name of the manufacturer who originally produced the equipment asset.".string
string
string
string
string
Example:
"PENDING".integer
Example:
0.string
string
integer
Example:
2.string
string
boolean
Example:
true.boolean
Example:
false.string
string
string
string
Example:
"88fb80e0-c0af-4c27-9730-50057429e36c".string
Example:
"2026-09-20T08:11:10.289476Z".string
Example:
"2026-09-21T06:39:16.466315Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
object[]
object[]
object[]
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a glossary by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Asset Management Glossary",
"description": "Name of the manufacturer who originally produced the equipment asset.",
"source": null,
"parent_id": null,
"domain_id": null,
"qualified_name": null,
"status": "PENDING",
"total_conversations": 0,
"total_likes": null,
"total_dislikes": null,
"total_views": 2,
"owner": null,
"user": null,
"is_active": true,
"is_deleted": false,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "88fb80e0-c0af-4c27-9730-50057429e36c",
"created_at": "2026-09-20T08:11:10.289476Z",
"modified_at": "2026-09-21T06:39:16.466315Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"modified_by": null,
"parents": [],
"domain": [],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:24.199560+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"context_freshness": {
"description": null,
"owner_verified": null
},
"recent_conversations": null
}
}
POST /api/v1/governance/glossary/listGet glossaries with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Asset Management Glossary".string
Example:
"Name of the manufacturer who originally produced the equipment asset.".string
Example:
"PENDING".integer
Example:
0.integer
Example:
1.boolean
Example:
true.boolean
Example:
false.string
Example:
"88fb80e0-c0af-4c27-9730-50057429e36c".string
Example:
"2026-09-20T08:11:10.289476Z".string
Example:
"2026-09-20T11:53:07.791397Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".object[]
object[]
integer
Example:
15.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get glossaries with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Asset Management Glossary",
"description": "Name of the manufacturer who originally produced the equipment asset.",
"status": "PENDING",
"total_conversations": 0,
"total_views": 1,
"is_active": true,
"is_deleted": false,
"id": "88fb80e0-c0af-4c27-9730-50057429e36c",
"created_at": "2026-09-20T08:11:10.289476Z",
"modified_at": "2026-09-20T11:53:07.791397Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"domain": [],
"viewers": []
}
],
"total_count": 15,
"metrics": [
{
"title": "ALL",
"value": 15,
"trend": "up",
"trendValue": "0",
"type": "glossary"
}
]
}
}
PUT /api/v1/governance/glossary/{glossaryId}Update a glossaryPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a glossary",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/glossary/{glossaryId}Delete a glossaryPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a glossary",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}